Add Groups to Team Folder

Open in ChatGPT Open in ChatGPT to ask questions about this page
Open in Claude Open in Claude to ask questions about this page
Copy as MarkdownCopy this page as markdown to use with AI assistants
View as Markdown Open this page as markdown in a new tab

This API will add a WorkDrive Group to the team folder.

Endpoints

OAuth Scope

WorkDrive.teamfolders.sharing.CREATECopied!

Request Example

cURL
cURL
Deluge
Copied!
curl --request POST \
  --url https://www.zohoapis.com/workdrive/api/v1/members \
  --header 'Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52' \
  --header 'content-type: application/vnd.api+json' \
  --data '{"data":{"attributes":{"share_to":"lv0t141d6ad9fc3e44dde94b823bae4dcb31b-23000000021001","shared_type":"groupmembers","role_id":"6","resource_id":"8fv34f20c00bf4b6840e4b8b5628fc7750514"},"type":"members"}}'

Request Body

application/vnd.api+json
dataJSON Object(Required)
Hide Sub-Attributes
attributesJSON Object(Required)
Hide Sub-Attributes
share_tostring(Required)

Mention the "group_id" of the group that needs to be added to the team folder.

shared_typestring(Required)

Allowed value: groupmembers.

role_idinteger(Required)

The ID that represents the role given to the member in the team folder:

  • 1 - Admin
  • 2 - Organizer
  • 5 - Editor
  • 6 - Commenter
  • 34 - Viewer

resource_idstring(Required)

The unique ID of a team folder.

typestring(Required)

The JSON:API resource type. Always "members".

Allowed Values :
Show Values
membersCopied!
Copied!Copy all as JSON Array

Body Parameters

Copied!
  {
    "data": {
      "attributes": {
        "share_to": "lv0t141d6ad9fc3e44dde94b823bae4dcb31b-23000000021001",
        "shared_type": "groupmembers",
        "role_id": "6",
        "resource_id": "8fv34f20c00bf4b6840e4b8b5628fc7750514"
      },
      "type": "members"
    }
  }
                
Show full

Response Example

R215

R215

R004

R214

U001

R253

R253

R208

R219

I001

I001

I045

R707

R708

I007

R209

F000

200
200
400
401
403
404
409
500
Copied!
  {
    "data": [
      {
        "id": "8fv34f20c00bf4b6840e4b8b5628fc7750514-23000000021001",
        "type": "members",
        "attributes": {
          "shared_time_in_millis": 1628775758106,
          "shared_by": "Zylker",
          "expiry_in_millis": 0,
          "relation_type": 0,
          "expiration_date": "Jan 1, 1970, 12:00 AM",
          "share_to_entity_info": {
            "display_name": "TestGr",
            "avatar_url": "https://localjs.zohostatic.com/personal/stable/jsapps/ui-lab/dist/assets/dev/svg-icons/common/groups_logo-1b99e1d06fa5e3bb404e335e6ce2f43a.svg",
            "type": 1,
            "collaborators_count": 1
          },
          "share_to_member_type": 1,
          "role_id": 5,
          "shared_time_i18": "Aug 12, 1:42 PM",
          "shared_time": "Aug 12, 1:42 PM",
          "shared_status": "ACTIVE",
          "can_link_to_docs": true,
          "owner": "61236217",
          "allow_sharing_outside": false,
          "shared_type": "groupmembers",
          "shared_to_entity": "TestGr",
          "delete_from_propagated_space": false,
          "display_name": "TestGr",
          "message": "",
          "share_to": "lv0t141d6ad9fc3e44dde94b823bae4dcb31b-23000000021001",
          "is_expired": false,
          "shared_to_member_type": 1,
          "avatar_url": "https://localjs.zohostatic.com/personal/stable/jsapps/ui-lab/dist/assets/dev/svg-icons/common/groups_logo-1b99e1d06fa5e3bb404e335e6ce2f43a.svg",
          "is_password_protected": false,
          "resource_id": "8fv34f20c00bf4b6840e4b8b5628fc7750514",
          "permalink": "https://www.zohoapis.com/workdrive/file/8fv34f20c00bf4b6840e4b8b5628fc7750514",
          "shared_by_zuid": "61220846"
        },
        "links": {
          "self": "https://www.zohoapis.com/workdrive/api/v1/members/8fv34f20c00bf4b6840e4b8b5628fc7750514-23000000021001"
        }
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "R215",
        "title": "Resource owned by user or already shared to user"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "R004",
        "title": "Invalid resourceId passed. Please use a valid resourceId"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "R214",
        "title": "Unknown shareTo zuid / emailid"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "U001",
        "title": "User not logged in. Please Log in"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "R253",
        "title": "Client user cannot perform any action on another client user"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "R208",
        "title": "Can not share libraries to user"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "R219",
        "title": "Invalid space id"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "I001",
        "title": "App details not available"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "I045",
        "title": "Workspace is not associated with app"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "R707",
        "title": "Cannot share Resource to the group of another team"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "R708",
        "title": "Group with mentioned id not available"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "I007",
        "title": "Unauthorized App"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "R209",
        "title": "Unknown sharetype"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "F000",
        "title": "General Exception"
      }
    ]
  }
                
Show full